package com.yihu.hos.crawler.model.patient;

import java.util.HashSet;
import java.util.Set;

/**
 * 病人身份标识
 * 病人ID, 事件号(门诊号,住院号等),卡号,身份证号
 * 目前使用的是病人ID和事件号
 *
 * @author Air
 * @version 1.0
 * @created 2015.06.16 16:29
 */
public class PatientIdentity {
    public static final String PATIENT_ID = "PATIENT_ID";
    public static final String LOCAL_CARD_NO = "CARD_NO";
    public static final String ID_CARD = "DE02_01_030_00";
    public static Set<String> EVENT_NO_SET = new HashSet<>();

    private String eventNoCode;
    private String refTimeCode;

    public PatientIdentity(String eventNoCode, String refTimeCode) {
        this.eventNoCode = eventNoCode;
        this.refTimeCode = refTimeCode;

        EVENT_NO_SET.add(eventNoCode);
    }

    public static String getPatientIDCode() {
        return PATIENT_ID;
    }

    public static String getLocalCardNoCode() {
        return LOCAL_CARD_NO;
    }

    public static String getIdCardCode() {
        return ID_CARD;
    }

    public static Set<String> getEventNoSet() {
        return EVENT_NO_SET;
    }

    public static void addEventNoCode(String eventNoCode) {
        EVENT_NO_SET.add(eventNoCode);
    }

    public String getEventNoCode() {
        return eventNoCode;
    }

    public String getRefTimeCode() {
        return refTimeCode;
    }

}
